Subject: Re: [PATCH] format-patch let -k override a config-specified format.numbered

From: Stephen Boyd <[email-masked]>
Date: Thu, 07 May 2009 18:03:28 -0700

Jim Meyering wrote:
> This started when a colleague reported that "git rebase master" was failing
> with a "fatal: -n and -k are mutually exclusive".  Stephen Tweedie discovered
> that it was due to the format.numbered=true setting in ~/.gitconfig
> conflicting with the -k of the format-patch command run as part of
> the rebase operation.  Here's a fix.

I think the real fix here should be in rebase. We should be passing
--no-numbered to format-patch. I was expecting 'format.subjectprefix' to
trigger the same bug, but it seems we don't set subject_prefix=1 in this
case. I imagine fixing that can be done in a later patch.